/* font-family: 'Yanone Kaffeesatz', sans-serif; */
:root {
    --type-color: #1F1F1F;
    --dark-color: #56050B;
    --light-color: #A93A34;
    --accent-color: #960F08;
    --back-color: #FFF;
    font-size: 16px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {

    font-family: "Open Sans", sans-serif;
    height: 100vh;
    background-color: #FFF;
    background-color: var(--back-color);
    line-height: 1.5rem;
}



.body-container {
    min-height: 100%;
    margin-bottom: -300px;
}

/* Header */
.header-container {
    position: fixed;
    top: 0;
    width: 100%;
    height: 60px;
    margin: 0;
    background-color: #56050B;
    background-color: var(--dark-color);
    z-index: 100;
    color: #FFF;
    color: var(--back-color);
    box-shadow: 0 -3px 10px #ADADAD;
}

/* Mobile Navigation */

.main-nav {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    margin: 0;
}

.menu-side {
    position: fixed;
    right: -70vw;
    width: 70vw;
    height: 100vh;
    opacity: 0;
    background-color: #960F08;
    background-color: var(--accent-color);
    overflow-y: auto;
}

.menu-side ul {
    list-style: none;
    padding-left: 0;
    margin: 0;
    font-size: 1.5rem;
    line-height: 4rem;
    font-weight: 700;
}

.open {
    right: 70vw;
    box-shadow: 0 0 0 100vh rgba(0, 0, 0, 0.5);
}

.open .menu-side {
    right: 0;
    opacity: 1;
}

.open,
.main-nav,
.menu-side {
    transition-property: opacity, right;
    transition-duration: 0.2s;
    transition-timing-function: ease-in-out;
}

.menu-side ul li {
    display: block;
    list-style: none;
}

.menu-side ul li ul li a {
    padding-left: 20%;
    background-color: #960F08;
    background-color: var(--accent-color);
}

.menu-side a {
    display: block;
    width: 100%;
    text-decoration: none;
    color: #FFF;
    color: var(--back-color);
    padding-left: 10%;
}

.menu-side a:active,
.menu-side a:hover {
    background-color: #A93A34;
    background-color: var(--light-color);
}

.menu-side ul span {
    display: inline-block;
    width: 100%;
    padding-left: 10%;
}

.menu-header {
    height: 60px;
    padding-left: 10%;
}

.active a {
    padding-left: 10%;
    background-color: #960F08;
    background-color: var(--accent-color);
}

.h1-long {
    display: none;
    text-transform: uppercase;
}

.h1-short {
    background-color: transparent;
    width: auto;
}

.logo a {
    color: #FFF;
    color: var(--back-color);
    text-decoration: none;
}

.logo {
    position: fixed;
    padding: 1rem 5%;
}

.nav-toggler {
    display: block;
    position: absolute;
    height: 40px;
    top: 0.8rem;
    right: 5%;
    background-color: transparent;
    color: #FFF;
    color: var(--back-color);
    border: none;
    outline: none;
    padding: 0 5px;
    cursor: pointer;
}

.nav-toggler span,
.nav-toggler span::before,
.nav-toggler span::after {
    display: block;
    content: "";
    background-color: #FFF;
    background-color: var(--back-color);
    height: 3px;
    width: 28px;
    border-radius: 4px;
    transition: all ease-in-out 0.3s;
}

.main-nav .nav-toggler span::before {
    -webkit-transform: translateY(-8px);
    transform: translateY(-8px);
}

.main-nav .nav-toggler span::after {
    -webkit-transform: translateY(5px);
    transform: translateY(5px);
}

.main-nav .nav-toggler.open-nav-toggler span {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    background-color: transparent;
    z-index: 100;
}

.main-nav .nav-toggler.open-nav-toggler span::before {
    -webkit-transform: translateY(0px) rotate(45deg);
    transform: translateY(0px) rotate(45deg);
    z-index: 100;
}

.main-nav .nav-toggler.open-nav-toggler span::after {
    -webkit-transform: translateY(-3px) rotate(-45deg);
    transform: translateY(-3px) rotate(-45deg);
    z-index: 107;
}

/* Main */
main {
    position: relative;
}

main p {
    text-indent: 1rem;
}

main>section:first-child {
    margin: 60px auto 0 auto;
    padding: 1.5rem 5%;
}

main p {
    padding: 0.75rem 0;
}


h2 {
    line-height: 3em;
    color: #960F08;
    color: var(--accent-color);
}

h3 {
    line-height: 2rem;
    color: #960F08;
    color: var(--accent-color);
    padding: 1rem 0;
}

/* Domov */

.jumbo-parallax {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-shadow: 2px 2px var(--accent-color);
}

.jumbo-parallax::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: #1F1F1F;
    background-color: var(--type-color);
    background-image: url(../imgs/zavesa.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-position: center center;
    filter: grayscale(30%);
    z-index: -1;
}

.jumbo-content {

    justify-self: center;
    align-self: center;
    color: #1F1F1F;
    color: var(--type-color);
    padding: 0 10px;
    text-align: center;
    margin-top: -60px;
}

.jumbo-content>h2 {
    color: #FFF;
    /* color: var(--light-color); */

    font-family: "Yanone Kaffeesatz", sans-serif;
    font-size: 4rem;
    line-height: 6rem;
}

.jumbo-content>p {
    font-size: 2rem;
    line-height: 2rem;

    text-shadow: 1px 1px var(--accent-color);
}

.jumbo-content span {
    font-family: "Yanone Kaffeesatz", sans-serif;
    font-size: 3rem;
    text-shadow: 1px 1px var(--dark-color);
    color: #960F08;
    color: var(--accent-color);
    font-weight: 700;
}

/* Sections - landing page */

.sekcija {
    width: 100%;
    margin: 0 auto 60px;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    text-align: center;
}

/* .sekcija:nth-child(even) {
    background-color: #FFF; background-color: var(--back-color);
    color: var(--back-color);
}

.sekcija:nth-child(odd) {
    color: var(--type-color);
} */

.circular-frame {
    width: 100%;
    height: 300px;
    overflow: hidden;
    align-self: center;
}

.circular-frame img {
    width: 100%;
    -webkit-transform: scale(1);
    transform: scale(1);
    transition: -webkit-transform .5s ease;
    transition: transform .5s ease;
    transition: transform .5s ease, -webkit-transform .5s ease;
}

.circular-frame img:hover {
    -webkit-transform: scale(1.08);
    transform: scale(1.08);
}

.content h2 {
    line-height: 3;
}

.content p {
    line-height: 1.5;
    width: 300px;
    align-self: center;
    padding: 0;
}

.content a {
    position: relative;
    display: inline-block;
    align-self: center;
    justify-self: center;
    width: 100px;
    height: auto;
    line-height: 40px;
    font-size: 1.2rem;
    font-weight: 700;
    text-decoration: none;
    color: #960F08;
    color: var(--accent-color);
    border: solid 2px #960F08;
    border: solid 2px var(--accent-color);
    background-color: transparent;
    border-radius: 30px;
    margin-top: 30px;
    -o-transition: 0.5s;
    -moz-transition: 0.5s;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    overflow: hidden;
}

.content a:active,
.content a:hover {
    color: #FFF;
    color: var(--back-color);
    background-color: #960F08;
    background-color: var(--accent-color);
}

/* Zgodovina */

.zgodovina p span {
    font-weight: 700;
    color: #960F08;
    color: var(--accent-color);
}

.zgodovina figure {
    background-color: #A93A34;
    background-color: var(--light-color);
    color: #FFF;
    color: var(--back-color);
}

.zgodovina figcaption {
    padding: 0 10px 5px;
}

.zgodovina figure img {
    width: 100%;
}

/* Dramska */
.dramska ul {
    list-style: none;
    padding-left: 1.5rem;
}

.dramska li {
    line-height: 1.5rem;
    padding: .5rem;
}

.dramska li:hover,
.dramska li:active {
    background-color: rgba(0, 0, 0, 0.2);
}

.dramska span {
    font-weight: 700;
    color: #960F08;
    color: var(--accent-color);
}

/* Gallery */


.gallery figure {
    position: relative;
    width: 100%;
    height: 100%;
    margin: 0 auto 60px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    grid-auto-rows: 250px;
    grid-gap: 1rem;
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
}

.gallery figure img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1);
    transition: transform .3s;
    cursor: pointer;
}



.gallery-fs {
    display: none;
    position: fixed;
    z-index: 101;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9);
}

.display {
    display: block;
}

.img-gallery-fs {
    margin: auto;
    padding-top: 120px;
    display: block;
    width: 80%;
    max-width: 1000px;
}

#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

.close {
    position: absolute;
    top: 50px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: 700;
    transition: color 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.prev,
.next {
    position: absolute;
    top: 50%;
    color: #f1f1f1;
    font-size: 2rem;
    font-weight: 700;
    cursor: pointer;
    display: none;
}

.prev {
    left: 5%;
}

.next {
    right: 5%;
}

/* Kontakt */
.contact {
    position: relative;
    margin: 60px auto 0;
    height: 100vh;
    width: 100%;
}

#map {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
}

.container {
    position: absolute;
    background-color: #FFF;
    background-color: var(--back-color);
    box-shadow: 0 0 10px -5px #ADADAD;
    width: 100%;
    padding: 0 5% 1rem;
    z-index: 1;
    top: 60px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
}

.info h3 {
    font-size: 1.1rem;
    padding-bottom: 0;
}

.info p {
    text-indent: 0;
    padding: .5rem 0;
}

.info a {
    text-decoration: none;
    color: #960F08;
    color: var(--accent-color);
}

/* Footer */

.body-container:after {
    content: "";
    display: block;
}

footer,
.body-container:after {
    height: 300px;
}

footer {
    background-color: #1F1F1F;
    background-color: var(--type-color);
    color: #ADADAD;
    font-size: 12px;
    font-weight: 400;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

footer h3 {
    display: none;
}

.footer-group {
    display: flex;
    justify-content: center;
    align-content: center;
    line-height: 1rem;
}

.footer-links {
    text-align: right;
    padding: 10px;
    align-self: center;
}

p.naslov a {
    line-height: 1.5rem;
}

.footer-contacts {
    text-align: left;
    padding: 10px;
    align-self: center;
}

.copy {
    display: block;
    width: 100%;
    text-align: center;
    clear: both;
}

footer a {
    color: #ADADAD;
    text-align: left;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline var(--dark-color);
}

footer ul {
    list-style: none;
}


/* @media */
@media only screen and (min-width: 864px) and (max-width: 1170px) {
    .header-container {
        background-color: #FFF;
        background-color: var(--back-color);
        box-shadow: 0 -7px 10px var(--dark-color);
    }

    .menu-side {
        margin-right: 5%;
        right: 0;
        width: auto;
        height: 60px;
        background-color: #FFF;
        background-color: var(--back-color);
        color: #1F1F1F;
        color: var(--type-color);
        opacity: 1;
        overflow-y: visible;
        z-index: -1;
        transition: width 0.5s ease;
    }

    .menu-side ul {
        height: 100%;
        font-size: 1rem;
        line-height: inherit;
        max-height: none;
        position: relative;
        overflow: visible;
        opacity: 1;
        display: flex;
        flex-direction: row;

    }

    .menu-side li {
        height: 100%;
        color: #1F1F1F;
        color: var(--type-color);
        padding-left: 0;
        display: block;
        position: relative;
        text-align: center;
        width: 140px;
        background-color: transparent;
    }

    .menu-side a:hover,
    .menu-side li:hover,
    .menu-side li:active {
        color: #960F08;
        color: var(--accent-color);
        position: relative;
        cursor: pointer;
        background-color: #FFF;
        background-color: var(--back-color);
    }

    .menu-side li:focus-within {
        color: #960F08;
        color: var(--accent-color);
        position: relative;
        cursor: pointer;
        background-color: #FFF;
        background-color: var(--back-color);
    }

    .menu-side a {
        position: absolute;
        height: 100%;
        padding-top: 1.3rem;
        padding-left: 0;
        color: #1F1F1F;
        color: var(--type-color);
        background-color: #FFF;
        background-color: var(--back-color);
        transition: color .5s;
    }

    .menu-side ul li ul {
        position: absolute;
        display: block;
        visibility: hidden;
        left: 0;
        top: -25px;
        background-color: #FFF;
        background-color: var(--back-color);
        opacity: 0;
        transition-property: top, opacity;
        transition-duration: 0.5s;
        transition-timing-function: ease;
    }

    .menu-side ul li:hover>ul,
    .menu-side ul li ul:hover {
        display: block;
        visibility: visible;
        opacity: 1;
        z-index: 99;
        top: 60px;
    }

    .menu-side ul li:focus-within>ul {
        display: block;
        visibility: visible;
        opacity: 1;
        z-index: 99;
        top: 60px;
    }

    .menu-side ul li ul li a {
        background-color: #FFF;
        background-color: var(--back-color);
        padding: 1.3rem 10px 0;
    }

    .menu-side ul li.menu-header {
        display: none;
    }

    .h1-short {
        color: #1F1F1F;
        color: var(--type-color);
    }

    .logo {
        padding: 1rem 5%;
    }

    a.logo:hover {
        background-color: transparent;
    }

    .active a {
        background-color: transparent;
        color: #960F08;
        color: var(--accent-color);
        cursor: default;
    }

    .h1-long,
    .nav-toggler,
    .nav-toggler span,
    .nav-toggler span::before,
    .nav-toggler span::after {
        display: none;
    }

    /* Main */
    main>section:first-child {
        margin: 60px auto 0 auto;
        max-width: 900px;
    }

    /* Sections landing page */

    .circular-frame img {
        margin-top: -10%;
    }


    /* Gallery */
    .gallery {
        width: 100%;
        padding: 0 1rem;
        margin: 0 auto 1rem;
    }

    .gallery figure img:hover {
        transform: scale(1.05);
        opacity: 1;
    }

    .gallery-fs {
        overflow: hidden;
    }

    /* Kontakt */

    .container {
        width: 400px;
        padding: 0 1rem 1rem;
        top: 20%;
        left: 10%;
        margin-left: 0;
        margin-top: 0;
    }
}

@media only screen and (min-width: 1170px) {
    .header-container {
        background-color: #FFF;
        background-color: var(--back-color);
        box-shadow: 0 -7px 10px var(--dark-color);
    }

    .main-nav {
        position: fixed;
        left: 50%;
        -webkit-transform: translate(-50%);
        transform: translate(-50%);
        width: 1024px;
    }

    .menu-side {
        right: 0;
        width: 600px;
        height: 60px;
        background-color: #FFF;
        background-color: var(--back-color);
        color: #1F1F1F;
        color: var(--type-color);
        opacity: 1;
        overflow-y: visible;
        transition: width 0.5s ease;
    }

    .menu-side ul {
        height: 100%;
        font-size: 1rem;
        line-height: inherit;
        max-height: none;
        position: relative;
        overflow: visible;
        opacity: 1;
        display: flex;
    }

    .menu-side li {
        height: 100%;
        color: #1F1F1F;
        color: var(--type-color);
        padding-left: 0;
        display: block;
        position: relative;
        text-align: center;
        width: 140px;
        background-color: transparent;
    }

    .menu-side a:hover,
    .menu-side li:hover,
    .menu-side li:active {
        color: #960F08;
        color: var(--accent-color);
        position: relative;
        cursor: pointer;
        background-color: #FFF;
        background-color: var(--back-color);
    }

    .menu-side li:focus-within {
        color: #960F08;
        color: var(--accent-color);
        position: relative;
        cursor: pointer;
        background-color: #FFF;
        background-color: var(--back-color);
    }

    .menu-side a {
        position: absolute;
        height: 100%;
        padding-top: 1.3rem;
        padding-left: 0;
        color: #1F1F1F;
        color: var(--type-color);
        background-color: #FFF;
        background-color: var(--back-color);
        transition: color .5s;
    }

    .menu-side ul li ul {
        position: absolute;
        display: block;
        visibility: hidden;
        left: 0;
        top: -25px;
        background-color: #FFF;
        background-color: var(--back-color);
        opacity: 0;
        transition-property: top, opacity;
        transition-duration: 0.5s;
        transition-timing-function: ease;
    }

    .menu-side ul li:hover>ul,
    .menu-side ul li ul:hover {
        display: block;
        visibility: visible;
        opacity: 1;
        z-index: 99;
        top: 60px;
    }

    .menu-side ul li:focus-within>ul {
        display: block;
        visibility: visible;
        opacity: 1;
        z-index: 99;
        top: 60px;
    }


    .menu-side ul li ul li a {
        background-color: #FFF;
        background-color: var(--back-color);
        padding: 1.3rem 10px 0;
    }

    .menu-side ul li.menu-header {
        display: none;
    }

    li.active a {
        background-color: transparent;
        padding-top: 1.3rem;
        color: #960F08;
        color: var(--accent-color);
        cursor: default;
    }

    .h1-long {
        display: block;
        color: #1F1F1F;
        color: var(--type-color);
        z-index: 1;
        font-size: 1rem;
    }

    .logo {
        padding: 1.3rem 2rem 0;
        transition: width 0.2s ease;
    }

    a.logo:hover {
        background-color: transparent;
        box-shadow: none;
    }

    .h1-short,
    .nav-toggler,
    .nav-toggler span,
    .nav-toggler span::before,
    .nav-toggler span::after {
        display: none;
    }

    /* Main */
    main>section:first-child {
        margin: 60px auto 0 auto;
        max-width: 900px;
    }


    /* Paralax */
    .jumbo-content>h2 {
        font-size: 6rem;
    }

    /* Sections landing page */

    .circular-frame img {
        margin-top: -15%;
    }

    /* Dramska */
    .dramska ul {
        width: 450px;
    }

    /* Gallery */
    .gallery {
        width: 900px;
        padding: 0 1rem;
        margin: 0 auto 1rem;
    }

    .gallery figure img:hover {
        transform: scale(1.05);
        opacity: 1;
    }

    .img-gallery-fs {
        padding-top: 60px;
    }

    .gallery-fs {
        overflow: hidden;
    }

    .close {
        right: 5%
    }

    /* Kontakt */


    .container {
        width: 400px;
        padding: 0 1rem 1rem;
        z-index: 1;
        top: 20%;
        left: 10%;
        margin-left: 0;
        margin-top: 0;
    }
}